%define oname libpng

%define major 15
%define libname %mklibname png %{major}

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng15
Version:	1.5.17
Release:	3
Epoch:		2
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source0:	http://prdownloads.sourceforge.net/libpng/files/%{oname}-%{version}.tar.xz
# (tpg) APNG support http://littlesvr.ca/apng/
# (tpg) http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
# (tpg) http://sourceforge.net/projects/libpng-apng/ <- use this one
Patch0:		http://downloads.sourceforge.net/libpng-apng/files/libpng-devel/%{version}/%{oname}-%{version}-apng.patch.gz
Patch2:		libpng-1.5.4-fix-cmake-files-libpath.patch
Patch3:		libpng-1.5.17-fix-libdir-pkgconfig-lib64-conflict.diff
BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1 -b .apng
%patch2 -p0 -b .fix-cmake-files-libpath
%patch3 -p1 -b .lib64~

%build
export CFLAGS="%{optflags} -O3 -funroll-loops"

%cmake \
  -DPNG_SHARED:BOOL=ON \
  -DPNG_STATIC:BOOL=OFF
%make

%install
%makeinstall_std -C build

# Drop devel files
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/libpng/
rm -rf %{buildroot}%{_mandir}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:1.5.17-3
+ Revision: e942b67
- MassBuild#440: Increase release tag


